# tandoor

![Version: 0.1.0](https://img.shields.io/badge/Version-0.1.0-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 1.16.0](https://img.shields.io/badge/AppVersion-1.16.0-informational?style=flat-square)

A Helm chart for Kubernetes

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| fullnameOverride | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"tandoor.local"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nginx.image.pullPolicy | string | `"IfNotPresent"` |  |
| nginx.image.repository | string | `"nginx"` |  |
| nginx.image.tag | string | `"mainline-alpine"` |  |
| nginx.resources | object | `{}` |  |
| nodeSelector | object | `{}` |  |
| oauth2InitContainer.config | object | `{}` |  |
| oauth2InitContainer.enabled | bool | `false` |  |
| oauth2InitContainer.env | list | `[]` |  |
| persistence.mediafiles.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.mediafiles.annotations | object | `{}` |  |
| persistence.mediafiles.name | string | `"tandoor-mediafiles"` |  |
| persistence.mediafiles.size | string | `"1Gi"` |  |
| persistence.staticfiles.accessMode | string | `"ReadWriteOnce"` |  |
| persistence.staticfiles.annotations | object | `{}` |  |
| persistence.staticfiles.name | string | `"tandoor-staticfiles"` |  |
| persistence.staticfiles.size | string | `"1Gi"` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| replicaCount | int | `1` |  |
| securityContext | object | `{}` |  |
| service.gunicorn.name | string | `"gunicorn"` |  |
| service.gunicorn.port | int | `80` |  |
| service.gunicorn.type | string | `"ClusterIP"` |  |
| service.nginx.name | string | `"nginx"` |  |
| service.nginx.port | int | `80` |  |
| service.nginx.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tandoor.config.encryptionSecret | string | `""` |  |
| tandoor.config.existingSecret | string | `""` |  |
| tandoor.config.postgres.db | string | `"tandoor"` |  |
| tandoor.config.postgres.host | string | `""` |  |
| tandoor.config.postgres.password | string | `""` |  |
| tandoor.config.postgres.port | int | `5432` |  |
| tandoor.config.postgres.user | string | `"tandoor"` |  |
| tandoor.config.secretKeys.encryptionSecretKey | string | `"encryption-key"` |  |
| tandoor.config.secretKeys.postgresUserPasswordKey | string | `"postgres-user-password"` |  |
| tandoor.extraEnv | list | `[]` |  |
| tandoor.image.pullPolicy | string | `"IfNotPresent"` |  |
| tandoor.image.repository | string | `"vabene1111/recipes"` |  |
| tandoor.image.tag | string | `"latest"` |  |
| tandoor.resources | object | `{}` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
