# vikunja

![Version: 0.1.1](https://img.shields.io/badge/Version-0.1.1-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.20.4](https://img.shields.io/badge/AppVersion-0.20.4-informational?style=flat-square)

A Helm chart for Kubernetes

## Requirements

| Repository | Name | Version |
|------------|------|---------|
| https://charts.bitnami.com/bitnami | postgresql | 12.x.x |
| https://charts.bitnami.com/bitnami | redis | 17.x.x |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| backend.extraEnv | list | `[]` |  |
| backend.image.pullPolicy | string | `"IfNotPresent"` |  |
| backend.image.repository | string | `"vikunja/api"` |  |
| backend.image.tag | string | `"latest"` |  |
| backend.service.port | int | `3456` |  |
| backend.service.type | string | `"ClusterIP"` |  |
| config.cache.enabled | bool | `false` |  |
| config.cache.maxElementSize | int | `1000` |  |
| config.cache.redis.enabled | bool | `false` |  |
| config.cache.redis.host | string | `""` |  |
| config.cache.type | string | `"redis"` |  |
| config.db.database | string | `""` |  |
| config.db.existingSecret | string | `""` |  |
| config.db.host | string | `""` |  |
| config.db.password | string | `""` |  |
| config.db.secretKeys.dbPasswordKey | string | `"user-password"` |  |
| config.db.type | string | `"postgres"` |  |
| config.db.user | string | `""` |  |
| config.frontendUrl | string | `"https://tasks.local"` |  |
| config.jwt.existingSecret | string | `""` |  |
| config.jwt.secretKeys.jwtSecretKey | string | `"jwt-secret"` |  |
| config.linkSharing | bool | `true` |  |
| config.log.level | string | `"ERROR"` |  |
| config.registration | bool | `true` |  |
| config.taskAttachments | bool | `true` |  |
| frontend.extraEnv | list | `[]` |  |
| frontend.image.pullPolicy | string | `"IfNotPresent"` |  |
| frontend.image.repository | string | `"vikunja/frontend"` |  |
| frontend.image.tag | string | `"latest"` |  |
| frontend.service.port | int | `80` |  |
| frontend.service.type | string | `"ClusterIP"` |  |
| fullnameOverride | string | `""` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0].host | string | `"tasks.local"` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| openIdInitContainer.config | object | `{}` |  |
| openIdInitContainer.enabled | bool | `false` |  |
| openIdInitContainer.env | list | `[]` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext | object | `{}` |  |
| postgresql.enabled | bool | `true` |  |
| redis.auth.enabled | bool | `false` |  |
| redis.enabled | bool | `true` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext | object | `{}` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `""` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.11.0](https://github.com/norwoodj/helm-docs/releases/v1.11.0)
